package com.gic.haoban.manage.service.service.hm;

import com.gic.haoban.manage.api.dto.qdto.hm.HmClerkRelationQDTO;
import com.gic.haoban.manage.service.pojo.bo.hm.HmClerkRelationBO;

import java.util.List;

/**
 * 多人活码(TabHaobanHmClerkRelation)表服务接口
 *
 * @author mozhu
 * @since 2022-07-04 15:42:20
 */
public interface HmClerkRelationService {

    /**
     * 通过ID查询单条数据
     *
     * @param relationId 主键
     * @return 实例对象
     */
    HmClerkRelationBO queryById(Long relationId);

    /**
     * 新增数据
     *
     * @param hmClerkRelationQDTO 实例对象
     * @return 实例对象
     */
    int insert(HmClerkRelationQDTO hmClerkRelationQDTO);


    /**
     * 插入批
     *
     * @param hmClerkRelationQDTOList hm qdtolist职员关系
     * @return int
     * @author mozhu
     * @date 2022-07-05 16:29:31
     */
    int insertBatch(List<HmClerkRelationQDTO> hmClerkRelationQDTOList);

    /**
     * 修改数据
     *
     * @param hmClerkRelationQDTO 实例对象
     * @return 实例对象
     */
    int update(HmClerkRelationQDTO hmClerkRelationQDTO);


    /**
     * 删除
     *
     * @param hmId hm id
     * @return boolean
     * @author mozhu
     * @date 2022-07-05 16:23:54
     */
    boolean deleteByHmId(Long hmId);

}
